using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Multitenant.Tenant.Cqrs;

public class UpdateTenantValidator : AbstractValidator<UpdateTenantRequest>
{
    public UpdateTenantValidator()
    {
        RuleFor(x => x.Id)
            .NotEmpty().WithMessage("ID is required for update");

        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Tenant Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);
    }
}